#
# spec file for package libical-glib
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define API_ver 1.0
Name:           libical-glib
Version:        1.0.3
Release:        6.1
Summary:        Introspectable wrapper for libical
License:        LGPL-2.1
Group:          Development/Languages/C and C++
Url:            https://wiki.gnome.org/Projects/libical-glib
Source:         http://download.gnome.org/sources/libical-glib/1.0/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(libical) >= 1.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.7.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Since libical has been used by a lot of GNOME projects, we think it's better to target
the whole libical project instead of only the EDS.

The whole project takes the API and types from libical and output the introspectable
APIs and types in GNOME project.

%package -n libical-glib-1_0-0
Summary:        Introspectable wrapper for libical
Group:          System/Libraries

%description -n libical-glib-1_0-0
Since libical has been used by a lot of GNOME projects, we think it's better to target
the whole libical project instead of only the EDS.

The whole project takes the API and types from libical and output the introspectable
APIs and types in GNOME project.

%package devel
Summary:        Introspectable wrapper for libical -- Development files
Group:          Development/Languages/C and C++
Requires:       libical-glib-1_0-0 = %{version}

%description devel
Since libical has been used by a lot of GNOME projects, we think it's better to target
the whole libical project instead of only the EDS.

The whole project takes the API and types from libical and output the introspectable
APIs and types in GNOME project.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libical-glib-1_0-0 -p /sbin/ldconfig

%postun -n libical-glib-1_0-0 -p /sbin/ldconfig

%files -n libical-glib-1_0-0
%defattr(-,root,root)
%doc ChangeLog README COPYING NEWS
%{_libdir}/%{name}-%{API_ver}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/%{name}-%{API_ver}.pc
%{_libdir}/%{name}-%{API_ver}.so

%changelog
* Fri May 15 2015 dimstar@opensuse.org
- Update to version 1.0.3:
  + Add license information to all the tests.
  + Move all the private methods in a common place named
    libical-glib-private.h.
  + Update the tests in favor of libical-2.0.0 (unreleased).
  + Remove the deprecated annotation (in-out).
  + Fix the issue with array.py. Right now we use GObject * to
    replace gpointer. The first reason is that in PyGObject,
    gpointer could only represent integer, none and capsule. The
    second reason is that the types used python, except those
    primitive types, are mostly subtypes of GObject.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 1.0.2:
  + Bug fixes.
* Mon Mar 16 2015 dimstar@opensuse.org
- Initial package, version 1.0.1.
